Bug 819941 - missing dependencies in katello-common
missing dependencies in katello-common
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Kedar Bidarkar
: Triaged, ZStream
Depends On:
Blocks: 827492
  Show dependency treegraph
 
Reported: 2012-05-08 12:40 EDT by Mike McCune
Modified: 2014-01-27 09:08 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
User relied on katello-configure's puppet manifests to install qpid RPMS. This update adds the qpid RPMs to the katello-all package and the user does not have to add these RPMs during katello-configure.
Story Points: ---
Clone Of:
: 827492 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:45:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2012-05-08 12:40:37 EDT
We are currently relying on katello-configure's puppet manifests to install qpid RPMS:

modules/qpid/manifests/install.pp:

class qpid::install {

  package {["qpid-cpp-server","qpid-cpp-client","qpid-cpp-client-ssl","qpid-cpp-server-ssl"]:
    ensure => "installed",
    before => Service["qpidd"]
  } 

  package {"policycoreutils-python":
    ensure => "installed"
  } 

none of the qpid-cpp* RPMs are listed anywhere in the katello.spec as a Requires:

We ideally will just add these to the katello-common set of Requires and not be forced to have katello-configure catch this missing dependency.

without this it makes it harder to pre-build systems with the right RPM set and is misleading that you could remove qpid-cpp-server-ssl and nothing would complain.
Comment 1 James Laska 2012-05-08 12:48:11 EDT
== Note to QE ==  

This should be straightforward to verify.  On a freshly installed system, install katello-all.  Next, run katello-configure.  Then, examine whether there are any 'yum install' commands in /var/log/katello/katello-configure/main.log.

In the failure case, you will see ....

> # grep "yum.*install" /var/log/katello/katello-configure/main.log 
> debug: Puppet::Type::Package::ProviderYum: Executing '/usr/bin/yum -d 0 -e 0 -y install qpid-cpp-server-ssl'
> debug: Puppet::Type::Package::ProviderYum: Executing '/usr/bin/yum -d 0 -e 0 -y install qpid-cpp-client-ssl'

Ideally, katello-configure should not attempt to 'yum install' anything
Comment 2 Lukas Zapletal 2012-05-15 05:44:38 EDT
Easy peasy.
Comment 3 Lukas Zapletal 2012-05-16 05:00:44 EDT
Uh I dont see any packages that was installed on my clean nightly installation on RHEL 6.2:

# grep "yum.*install" /var/log/katello/katello-configure/main.log 

Here is the list of packages that are "ensured" to be on the system:

$ cat modules/*/manifests/install.pp | grep package
  package { "httpd": ensure => installed}
  package { [ "mod_ssl" , "mod_authz_ldap" ]:
	package{"candlepin-tomcat6":
  package {["elasticsearch", "rubygem-tire"]:
	package{["katello", "katello-cli"]:
  package {["mongodb-server","mongodb"]:
  package { ["postgresql-server","postgresql"]: ensure => installed }
  package{"pulp":
  package {["qpid-cpp-server","qpid-cpp-client","qpid-cpp-client-ssl","qpid-cpp-server-ssl"]:
  package {"policycoreutils-python":
	package{"thumbslug":

We are only missing those:

- mod_authz_ldap
- modngodb-server and mongodb
- qpid-*

I am adding the first, but the rest should be automatically fetched by pulp (we require "pulp" itself). So I am adding those requires as explicit.

https://github.com/Katello/katello/pull/120
Comment 4 Ivan Necas 2012-05-17 03:27:15 EDT
Commit 85072c0fb6b501f2b6a774f8b4464f8661cff284 merged to master
Comment 7 Kedar Bidarkar 2012-06-06 03:11:24 EDT
--> Processing Dependency: mongodb-server for package: katello-all-0.1.313-1.el6_3.noarch
--> Processing Dependency: mongodb for package: katello-all-0.1.313-1.el6_3.noarch

--> Processing Dependency: mod_authz_ldap for package: katello-common-0.1.313-1.el6_3.noarch

Processing Dependency: qpid-cpp-server-ssl for package: katello-all-0.1.313-1.el6_3.noarch
--> Processing Dependency: qpid-cpp-server for package: katello-all-0.1.313-1.el6_3.noarch
--> Processing Dependency: qpid-cpp-client-ssl for package: katello-all-0.1.313-1.el6_3.noarch
--> Processing Dependency: qpid-cpp-client for package: katello-all-0.1.313-1.el6_3.noarch

[root@dhcp201-220 katello]# for i in katello-configure-20120606-032840 katello-configure-20120606-114655 katello-configure-20120606-115416
> do
> echo $i ; grep "yum.*install" /var/log/katello/$i/main.log
> done
katello-configure-20120606-032840
katello-configure-20120606-114655
katello-configure-20120606-115416

Puppet didn't install any rpms via yum on this setup.
Comment 8 sachua 2012-06-12 01:13:49 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
User has to rely on katello-configure's puppet manifests to install qpid RPMS. This update will add the qpid RPMs to the katello-all package and user will not have to add these RPMs during katello-configure.
Comment 10 Kedar Bidarkar 2012-09-23 08:12:50 EDT
Resolving Dependencies
--> Running transaction check
---> Package katello-all.noarch 0:1.1.12-7.el6cf will be installed
--> Processing Dependency: qpid-cpp-server-ssl for package: katello-all-1.1.12-7.el6cf.noarch
--> Processing Dependency: qpid-cpp-server for package: katello-all-1.1.12-7.el6cf.noarch
--> Processing Dependency: qpid-cpp-client-ssl for package: katello-all-1.1.12-7.el6cf.noarch
--> Processing Dependency: qpid-cpp-client for package: katello-all-1.1.12-7.el6cf.noarch


The same holds good even for v1.1
Comment 12 errata-xmlrpc 2012-12-04 14:45:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.